<?php
/**
 * image.php
 *
 * Парсит map.gz и выводит изображение PNG (без заливки комнат).
 * Используем именно этот URL в <img src="image.php">.
 */

require_once __DIR__ . '/RoborockMapParser.php';

$gzipFile = __DIR__ . '/map.gz';
if (!file_exists($gzipFile)) {
    header('HTTP/1.1 404 Not Found');
    echo "map.gz не найден";
    exit;
}

try {
    $gzipData = file_get_contents($gzipFile);
    $parser   = new RoborockMapParser($gzipData);
    $parser->parse();
    $img = $parser->drawBaseMap();
} catch (\Throwable $e) {
    header('HTTP/1.1 500 Internal Server Error');
    echo "Ошибка при парсинге карты: " . htmlspecialchars($e->getMessage());
    exit;
}

// Отдаём заголовок и PNG-данные
header('Content-Type: image/png');
imagepng($img);
imagedestroy($img);
exit;
